Bug 59611 - Can't install 7.1 with software RAID (3ware?)
Can't install 7.1 with software RAID (3ware?)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-11 00:56 EST by julian stephenson
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description julian stephenson 2002-02-11 00:56:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
Can install Red Hat 7.1 no problem on disk server running dual 3-ware 7850 
cards, if stripe sets on each card are not striped together in software. 
However, as soon as the two arrays are striped together via "make RAID device" 
install is aborted with a traceback message.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run "Linux dd" install mode
2.apply latest 3-ware drivers
3.setup partitions, finish specifying install options
4.Install will commence, the striped RAID partitions will commence formatting, 
then install crashes.
	

Actual Results:  Error report on screen

Additional info:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, 
in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in 
doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 713, in 
mountFilesystems
    raise SystemError, (errno, msg)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
size: 8193087
fsystem: ext2
self: <fstab.GuiFstab instance at 8446b28>
msg: Invalid argument
doFormat: 1
errno: 22
device: md1
instPath: /mnt/sysimage
mntpoint: /mnt/raid

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Matt Wilson 2002-03-13 11:45:09 EST
Does this still happen in 7.2?  This code was rewritten.
Comment 2 Michael Fulbright 2002-04-10 14:22:47 EDT
Closing due to inactivity, please reopen if you contine to have problems.
Comment 3 Red Hat Bugzilla 2006-02-21 13:48:26 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.